Bug 587087 - Review Request: Spawning - A HTTP server for hosting WSGI python web applications
Review Request: Spawning - A HTTP server for hosting WSGI python web applicat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 16:31 EDT by Kevin Fenzi
Modified: 2010-08-13 18:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: Spawning-0.9.3-0.rc2.5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-20 20:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
terjeros: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2010-04-28 16:31:55 EDT
Spec URL: http://www.scrye.com/~kevin/fedora/Spawning/Spawning.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/Spawning/Spawning-0.9.3-0.rc2.1.fc13.src.rpm
Description: 

Spawning is a wsgi server which supports multiple processes,
multiple threads, green threads, non-blocking HTTP io,
and automatic graceful upgrading of code.

rpmlint says: 


Spawning.noarch: W: spelling-error %description -l en_US wsgi -> swig, wigs
Spawning.noarch: W: spelling-error %description -l en_US io -> oi, Io, ii
Spawning.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/spawning/spawning_controller.py 0644L /usr/bin/env
Spawning.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/spawning/spawning_child.py 0644L /usr/bin/env
Spawning.noarch: W: no-manual-page-for-binary spawning
Spawning.src: W: spelling-error %description -l en_US wsgi -> swig, wigs
Spawning.src: W: spelling-error %description -l en_US io -> oi, Io, ii

All of which I think can be ignored. I can fix the non-executable-scripts if reviewer wishes.

Koji scratch build at: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=2144136

Note that we are renaming the /usr/bin/spawn command to /usr/bin/spawning. spawn conficts with the already existing spawn package and upstream has already commited to renaming to 'spawning'.
Comment 1 Terje Røsten 2010-04-29 14:39:58 EDT
I got:

Traceback (most recent call last):
  File "/usr/bin/spawning", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2562, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: eventlet>=0.9.3

Add req on python-eventlet?
Comment 2 Kevin Fenzi 2010-04-29 15:18:40 EDT
Oops. I of course had that Requires in there before, but removed it when doing some test builds because the eventlet package was not in yet. ;( 

Anyhow, thanks for catching that and: 

Spec URL: http://www.scrye.com/~kevin/fedora/Spawning/Spawning.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/Spawning/Spawning-0.9.3-0.rc2.2.fc14.src.rpm
Comment 3 Terje Røsten 2010-04-29 16:30:13 EDT
Thanks, works fine here with a Django app.
Comment 4 Terje Røsten 2010-04-29 16:49:18 EDT
! rpmlint

 Spawning.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/spawning/spawning_controller.py 0644 /usr/bin/env
 Spawning.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/spawning/spawning_child.py 0644 /usr/bin/env

Easy to fix with a sed oneliner.

ok naming of package and spec
ok spec file
  might add %global rver 0.9.3rc2 to use in Source0 and %setup?
  more explicit in %files might be good:
 %{python_sitelib}/*
ok license approved and tag ok. MIT, all files have headers. Good.
ok license in %doc
ok correct language
ok sha1sum on sources and ok url
   sha1sum Spawning-0.9.3rc2.tar.gz*
    7a5b07fb51692f13e9787f631c09782861073856  Spawning-0.9.3rc2.tar.gz
    7a5b07fb51692f13e9787f631c09782861073856  Spawning-0.9.3rc2.tar.gz.spec
  might download with wget -N  to get correct timestamp on tarball 
ok koji build with correct buildreq, see comment #1
ok excludearch
 - locale files 
 - ldconfig
ok no bundling
ok owns, dirs and perms and only once
ok macros
ok code or content
 - large docs
ok %doc not affect the runtime
 - headers|static in devel|static
 - .so in devel
 - devel dep on base
 - no .la|.a file
 - gui with desktop file
ok own just not owned
ok utf-8 file names

ok separate file from upstream
ok trans
ok mock/koji
   see comment #1
ok testing
 - scriptlets sane
 - subpkgs dep on base
 - pkgconfig(.pc) in devel
 - req on package not on files
ok add man pages


There are some init scripts in rc-scripts, those are not written for
Fedora it seems. However, they still have some value. Include as %doc?
If you have better init scripts available, include those.

Nothing major here, consider the points over when importing.


 The package Spawning is APPROVED.
Comment 5 Kevin Fenzi 2010-04-30 13:35:08 EDT
Thanks for the review!

FYI: 

Spec URL: http://www.scrye.com/~kevin/fedora/Spawning/Spawning.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/Spawning/Spawning-0.9.3-0.rc2.3.fc14.src.rpm 

* Fri Apr 30 2010 Kevin Fenzi <kevin@tummy.com> - 0.9.3-0.rc2.3
- Strip out env lines from some files.
- Add rc-scripts as doc files.

New Package CVS Request
=======================
Package Name: Spawning
Short Description: A HTTP server for hosting WSGI python web applications
Owners: kevin
Branches: devel EL-5
InitialCC:
Comment 6 Kevin Fenzi 2010-04-30 13:46:53 EDT
CVS done (by process-cvs-requests.py).
Comment 7 Fedora Update System 2010-04-30 14:42:57 EDT
Spawning-0.9.3-0.rc2.3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/Spawning-0.9.3-0.rc2.3.el5
Comment 8 Fedora Update System 2010-04-30 21:40:48 EDT
Spawning-0.9.3-0.rc2.3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Spawning'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/Spawning-0.9.3-0.rc2.3.el5
Comment 9 Terje Røsten 2010-05-01 15:59:05 EDT
Hi Kevin, did you see this:

 Spawning-0.9.3-0.rc2.3.fc14.noarch requires /sbin/runscript

Ref:
 http://thread.gmane.org/gmane.linux.redhat.fedora.devel/132430
Comment 10 Kevin Fenzi 2010-05-01 16:12:03 EDT
Yes I did. :( Sorry about that... adding the example scripts pulled that in and I missed it. ;( 

I will fix it today.
Comment 11 Fedora Update System 2010-05-01 16:51:44 EDT
Spawning-0.9.3-0.rc2.4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/Spawning-0.9.3-0.rc2.4.el5
Comment 12 Fedora Update System 2010-05-03 16:27:44 EDT
Spawning-0.9.3-0.rc2.4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Spawning'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/Spawning-0.9.3-0.rc2.4.el5
Comment 13 Fedora Update System 2010-05-20 20:32:07 EDT
Spawning-0.9.3-0.rc2.4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-07-18 21:33:25 EDT
Spawning-0.9.3-0.rc2.5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/Spawning-0.9.3-0.rc2.5.el5
Comment 15 Fedora Update System 2010-08-13 18:37:50 EDT
Spawning-0.9.3-0.rc2.5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.